ressource.socialbetadocumentation
API referenceNotifications

How many notifications are unread

The bell's badge: unread, not archived, not muted.

GET
/api/v1/notifications/unread-count

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

The bell's badge: unread, not archived, not muted.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Response Body

The count

application/json
  1. response
count*integer
Range-9007199254740991 <= value <= 9007199254740991
curl -X GET 'https://www.ressource.social/api/v1/notifications/unread-count'
{  "count": -9007199254740991}